代表 Instagram 影音素材物件上的留言。
If you are migrating from Marketing API Instagram Ads endpoints to Instagram Platform endpoints, be aware that some field names are different.
新推出下列欄位:
legacy_instagram_comment_id不支援下列欄位:
comment_typementioned_instagram_users| Instagram API with Instagram Login | Instagram API with Facebook Login | |
|---|---|---|
Access Tokens |
| |
Host URL |
|
|
Login Type | Business Login for Instagram | Facebook Login for Business |
| Permissions |
|
If the app user was granted a role via the Business Manager on the Page connected to the targeted IG User, you will also need one of:
|
不支援執行此作業。
GET <HOST_URL>/<IG_COMMENT_ID>?fields=<LIST_OF_FIELDS>
GET https://<HOST_URL>/<API_VERSION>/<IG_COMMENT_ID> ?fields=<LIST_OF_FIELDS> &access_token=<ACCESS_TOKEN>
| 索引鍵 | 預留位置 | 值 |
|---|---|---|
|
| 必要項目。應用程式用戶的用戶存取權杖。 |
|
| 在結果集中,您想傳回的每個 IG 留言之 IG 留言欄位的逗號分隔清單。 |
| 欄位名稱 | 說明 |
|---|---|
| 包含以下項目的物件:
|
| 表示留言是( |
| IG 留言編號。 |
| IG 留言的按讚數。 |
| 為 21.0 和以下版本行銷 API 端點建立的 Instagram 留言編號。 |
| 包含以下項目的物件: |
| 若此留言建立在另一個 IG 留言上(即回覆另一個留言),此為父系 IG 留言的編號。 |
| IG 留言的回覆次數(IG 留言次數)清單。 |
| IG 留言文字。 |
| ISO 8601 格式的時間戳記,用來表示 IG 留言建立的時間。 範例: |
| 建立 IG 留言的 IG 用戶編號。只會在應用程式用戶建立了 IG 留言的情況下傳回,若非如此,就會傳回 |
| 建立 IG 留言之 Instagram 用戶的用戶名稱。 自 2024 年 8 月 27 日起,若 Instagram 用戶在應用程式用戶的 Instagram 專業帳號之影音素材上留言,而您想要存取其 |
| 關係連線 | 說明 |
|---|---|
取得 IG 留言的 IG 留言次數清單;建立 IG 留言的 IG 留言次數。 |
{
"<FIELD>":"<VALUE>",
...
}
curl -i -X GET \
"https://graph.instagram.com/v25.0/17881770991003328?fields=hidden%2Cmedia%2Ctimestamp&access_token=EAAOc..."
{
"hidden": false,
"media": {
"id": "17856134461174448"
},
"timestamp": "2017-05-19T23:27:28+0000",
"id": "17881770991003328"
}POST <HOST_URL>/<IG_COMMENT_ID>?hide=<BOOLEAN>
{hide}(必要)- 設定為 true 以隱藏留言,或設定為 false 以顯示留言。hide=true 亦同。來自用戶的用戶存取權杖,該用戶擁有獲留言的媒體物件。
隱藏留言:
POST graph.instagram.com /17873440459141021?hide=true
{
"success": true
}DELETE <HOST_URL>/<IG_COMMENT_ID>
由建立留言的用戶提供的用戶存取權杖。
DELETE graph.instagram.com /17873440459141021
{
"success": true
}